# $Id: rules.freebsd.mk 6321 2016-03-20 03:15:27Z sra $

install-user-and-group: .FORCE
	@if /usr/sbin/pw groupshow "${RPKI_GROUP}" 2>/dev/null; \
	then \
	    echo "You already have a group \"${RPKI_GROUP}\", so I will use it."; \
	elif /usr/sbin/pw groupadd ${RPKI_GROUP}; \
	then \
	    echo "Added group \"${RPKI_GROUP}\"."; \
	else \
	    echo "Adding group \"${RPKI_GROUP}\" failed..."; \
	    echo "Please create it, then try again."; \
	    exit 1; \
	fi
	@if /usr/sbin/pw usershow "${RPKI_USER}" 2>/dev/null; \
	then \
	    echo "You already have a user \"${RPKI_USER}\", so I will use it."; \
	elif /usr/sbin/pw useradd ${RPKI_USER} -g ${RPKI_GROUP} -h - -d /nonexistant -s /usr/sbin/nologin -c "${RPKI_GECOS}"; \
	then \
	    echo "Added user \"${RPKI_USER}\"."; \
	else \
	    echo "Adding user \"${RPKI_USER}\" failed..."; \
	    echo "Please create it, then try again."; \
	    exit 1; \
	fi
